<?php
function touxianvalue($jingyuan){ 
  global $tablepre;
  $sql="SELECT * FROM {$tablepre}ftbbs_touxian where xiao<".$jingyuan." and da>".$jingyuan."";
  $rs=mysql_query($sql);
  $myrow = mysql_fetch_array($rs);
  $numrows = mysql_num_rows($rs);
  if ($numrows!=0){
  $touxian=$myrow["nick"];
  }else{
  $touxian="土人";
  }
  return $touxian;
}

function jibievalue($jingyuan){
  global $tablepre;
  $sql="SELECT * FROM {$tablepre}ftbbs_touxian where xiao<".$jingyuan." and da>".$jingyuan."";
  $rs=mysql_query($sql);
  $myrow = mysql_fetch_array($rs);
  $numrows = mysql_num_rows($rs);
  if ($numrows!=0){
  $jibie="<img src=".$myrow["classx"]." width=63 height=10>";
  }else{
  $jibie="<img src=userheadimg/class1.gif width=63 height=10>";
  }
  return $jibie;
}
function jingyuantoqs($clubuser_id,$topvalue){
  global $tablepre;
  $sql="select jingyuan from {$tablepre}clubuser where clubuser_id='".$clubuser_id."'";
  $rs=mysql_query($sql);
  $myrow = mysql_fetch_array($rs);
  $numrows = mysql_num_rows($rs);
  if ($numrows!=0){
  $jingyuan=$myrow["jingyuan"];
  }else{
  $jingyuan=0;
  }
  if ($jingyuan-$topvalue>0){
  $toqs=1;
  if ($topvalue==0){
  $toqs=0;
  }
  }
  else{
  $toqs=0;
  }
  return $toqs;
}
//调用如：echo jibievalue(2000);
//功能操作短信提示$flag=1是编辑操作2置顶操作3是推荐操作4是精华操作5是删除操作
function sendsms($sender,$accepter,$id,$title,$flag){
   global $tablepre;
   if ($flag==1){
   $msginfo="[系统短信]您发表的主题被".$cookiesname."执行编辑操作";
   $smscontent="主题->[url=ftbbs.php?id=".$id."]".$title."[/url]<br>操作理由: 发贴不规范或内容与版块类别不相符,有疑问请阅读版规，谢谢配合!";
   }elseif($flag==2){
   $msginfo="[系统短信]您发表的主题被".$cookiesname."执行置顶操作";
   $smscontent="主题->[url=ftbbs.php?id=".$id."]".$title."[/url]<br>操作理由: 你发的贴符合置顶贴的要求，现已被置顶,谢谢配合!";
   }elseif ($flag==3){
   $msginfo="[系统短信]您发表的主题被".$cookiesname."执行推荐操作";
   $smscontent="主题->[url=ftbbs.php?id=".$id."]".$title."[/url]<br>操作理由: 你发的贴符合推荐贴的要求，现已被推荐,谢谢配合!";
   }elseif ($flag==4){
   $msginfo="[系统短信]您发表的主题被".$cookiesname."执行精华操作";
   $smscontent="主题->[url=ftbbs.php?id=".$id."]".$title."[/url]<br>操作理由: 你发的贴符合精华贴的要求，现已被设为精华贴,谢谢配合!";
   }elseif ($flag==5){
   $msginfo="[系统短信]您发表的主题被".$cookiesname."执行删除操作";
   $smscontent="主题->".$title."<br>操作理由: 你发的贴被确认为广告贴或不良贴，现已被删除,谢谢配合!";
   }
   $sql="insert into {$tablepre}sms(title,content,accepter,bbssystem,indate,IsNew) values('".$msginfo."','".$smscontent."','".$accepter."',2,'".date("Y-m-d H:i:s")."',1)";
   mysql_query($sql);
}
?>